
#Convert files

#Edit this for conversion to another file
#readFile = "/acct/cykc/software/GIGI_v1.04/example/dense.genotypes"
#outFile = "/acct/cykc/software/GIGI_v1.04/example/dense.genotypes.t"

readFile = "/acct/cykc/DATA/Imputation/simulation/simData/runs/run009.markerData.D3.clean"
outFile = "/acct/cykc/software/GIGI_v1.04/example/otherExample/bigFile.transpose.txt"




#Conversion routine

genotypeData   <- read.table(readFile, string=F)
nPpl = nrow(genotypeData)
nMarkers = (ncol(genotypeData)  -1 )/2

oddAllelesIndex = seq(2, ncol(genotypeData),2)
evenAllelesIndex = seq(3, ncol(genotypeData),2)

oddAllelesIndex_transpose = seq(1, nPpl*2,2)
evenAllelesIndex_transpose = seq(2, nPpl*2,2)


transposeData = matrix( NA, nrow= nMarkers, ncol=nPpl*2) 

for( curMarker in 1:nMarkers){
  transposeData[curMarker, oddAllelesIndex_transpose ] = genotypeData[, oddAllelesIndex[curMarker]]
  transposeData[curMarker, evenAllelesIndex_transpose ] = genotypeData[, evenAllelesIndex[curMarker]]
}


mrkName = paste( "mrk" , 1:nMarkers, sep="")


transposeData = data.frame(mrkName, transposeData)

header = character( nPpl*2 +1)
header[1] = "id"
header[oddAllelesIndex_transpose  +1] = genotypeData[,1]
header[evenAllelesIndex_transpose +1] = genotypeData[,1]

colnames(transposeData) = header


write.table( transposeData , file =outFile , row=F, col=T, quote=F) 

